<template>
    <div class="container">
        <div class="row justify-content-center">
            <button @click="update" class="btn btn-primary text mb-1" v-if="!is_refresh">
                Button clicked {{id}} times
            </button>
            <span class="badge badge-primary mb-1" v-if="is_refresh">
                refreshing...
            </span>
            <div class="col-md-12">
                <table class="table">
                    <thead>
                        <th>title</th>
                        <th>url</th>
                    </thead>
                    <tbody>
                        <tr v-for="url in urldata">
                            <td>{{url.title}}</td>
                            <td>{{url.url}}</td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</template>

<script>
    export default {
        data: function(){
          return{
              urldata:[],
              is_refresh: false,
              id: 0
          }
        },
        mounted() {
            this.update(),
            console.log('Component Prop  mounted.')
        },
        methods: {
            update: function () {
                console.log(this.urldata);
                this.is_refresh = true;
                axios.get('/home/get-json').then((response) =>{
                    console.log(response);
                    this.urldata = response.data;
                    this.is_refresh = false;
                    this.id++;
                })
            }
        }
    }
</script>
